PDA

Afficher la version complète : Imprimantes Brother et Linux



kyp
15/06/2008, 16h06
Salux,

Je lance un petit sujet pour faire un clin d'œil à Brother. Pourquoi? Et bien parce que ce constructeur permet l'utilisation sous Linux de la quasi totalité de ses modèles, multifonction avec scan en réseau compris.
Je viens de tester les fonctionnalités d'impressions sur un modèle DCP-560cn branché sur ma FB et paramétré en IP fixe, cela fonctionne bien.

Pour ceux que cela intéressent la page à partir de laquelle tout trouver : http://solutions.brother.com/linux/en_us/index.html
Petit bemol, tout cela est en anglais.

Cerise sur le gateau, le code des pilotes est sous GPL et librement téléchargeable.

Evidemment tout supplément d'information sur vos expériences d'utilisation et de config de materiel Brother via GNU/Linux sont les bienvenues

xiloa
15/06/2008, 20h13
C'est effectivement très bon à savoir.

Agemen
16/06/2008, 00h06
mwarf, je vais retenir ça! :D

Heero_Yuy
16/06/2008, 10h01
Clair que moi aussi, je vais le retenir. Merci Kyp pour cette info ;)

abgech
17/06/2008, 08h44
Effectivement, les imprimantes Brother supportent parfaitement Linux, il suffit de télécharger les drivers.

Et Brother est sans aucun doute gagnant. Par exemple, j'ai acheté, il y a quelque mois une imprimante multifonction, l'installation fonctionne sans accroc, tout baigne dès le début. Résultat : une mois et demi plus tard, je devais acheter encore une imprimante, le choix fut vite fait : Brother.

HP n'est pas mal non plus (j'ai aussi du HP), mais certaines imprimantes posent des problèmes, tandis que Brother, il me semble que tout fonctionne sous Linux.

Denebe
19/06/2008, 18h54
Je vais faire comme les posts précédents: ave brother.

J'ai aussi fait confiance à brother lors de l'achat de mon imprimante mulltifonction. Aujourd'hui je le referai sans hésitation. C'est simple, tout fonctionne à merveille, y compris, comme cela à déjà été rappelé, le scanner réseau. J'ai testé sous différentes distributions en 32 et 64 bits, ça marche au poil.

Bravo !

kyp
19/06/2008, 21h20
Effectivement Brother est gagnant : cela ne nuit nullement aux fonctions Windows ou Mac et les utilsateurs de GNU/Linux sont content de voir un constructeur qui les prends en consideration.

Resultat en ce qui me concerne, j'ai achete un multifonction Brother, avec fonction reseau, d'un tarif tout a fait raisonnable, pour mes parents.
Je sais deja que lorsque que je virerais ma vieille HP je prendrais un modele equivalent chez Brother, peut etre avec du Wifi en plus. :D

Pour info, jusqu'alors je n'avais jamais achete cette marque et n'y avais meme jamais pense, laissant Brother a sa vieille image "pour les pros".

prof01
20/06/2008, 10h42
:o BROTHER n'est pas le seul, il faut noter que SAMSUNG fait pareil pour les imprimantes.

Mais autant savoir qu'il y en a plusieurs pour choisir. . (Ma samsung LM1210 me va comme un gant)

galagann
21/06/2008, 11h50
Y'en a plein d'autres :D

kyp
22/06/2008, 22h53
Oui bien sur. Je parle ici de ma bonne experience avec Brother. Bien sur que chacun amene les siennes, bonnes ou mauvaises B)

Nuke-Refugee
10/09/2008, 17h17
Bon... Eh bien je dois acheter une imprimante dans les semaines qui viennent... Devinez un peu vers quel constructeur je vais me tourner? Devinez?
Ouais, z'avez gagné...

Seb.

yoplait
10/09/2008, 17h54
ha non nuke-refugee !! pas epson !!!

Nuke-Refugee
10/09/2008, 18h08
ha non nuke-refugee !! pas epson !!![/b]


Meuh non voyons. Canon.
J'adore me prendre la tête avec des pilotes vieux de 5 ans (au bas mot)! :lol:

Heero_Yuy
11/09/2008, 09h52
Je ne savais pas que tu appréciais le masochisme mon cher Nuke :lol: :lol: :lol: :lol:

Nuke-Refugee
11/09/2008, 11h11
Je ne savais pas que tu appréciais le masochisme mon cher Nuke :lol: :lol: :lol: :lol:[/b]

Si c'était le cas j'installerais Vista :lol: :lol: :lol:

PS: J'adore ta signature...

Heero_Yuy
11/09/2008, 11h58
:lol: :lol: :lol: :lol:


Merci pour la signature ;)

alkiros
03/10/2008, 10h52
Bonjour à tous,

De retour avec Suse après plus d'un an d'absence, je reviens sur ce sujet car je ne parviens toujours pas à installer ma MFC215. J'ai téléchargés les rpm MFC...lpr et Cupswrap..., et c'est ce dernier qui me pose pb. quand je lance l'installation, la réponse est: manque csh, mais j'le trouve où ce truc?
Merci si vous avez la solution!

<div class='quotetop'>Citation (alkiros @ 3/10/2008 à 10:38) <{POST_SNAPBACK}> (index.php?act=findpost&pid=190532)</div>
Bonjour à tous,

De retour avec Suse après plus d'un an d'absence, je reviens sur ce sujet car je ne parviens toujours pas à installer ma MFC215. J'ai téléchargés les rpm MFC...lpr et Cupswrap..., et c'est ce dernier qui me pose pb. quand je lance l'installation, la réponse est: manque csh, mais j'le trouve où ce truc?
Merci si vous avez la solution![/b]

Petit complément, une capture de la fenêtre:
http://images.imagehotel.net/duqc1yu6ph_tn.png (http://images.imagehotel.net/?duqc1yu6ph.png)

Heero_Yuy
03/10/2008, 11h00
Salux,

csh fait référence au C Shell - enfin, je ne vois que ça - regarde dans YaST -> Ajouter et supprimer des logiciels pour installer csh ;)

Normalement, comme il s'agit d'un shell, il devrait être sur le DVD ou dans les dépôts :)




Il s'agit du package tcsh qui est dispo sur le dépôt officiel d'openSUSE :)

prof01
03/10/2008, 13h24
Quelle surprise. Après livraison d'une imprimante Laser Réseau Couleur de chez DELL, quelle n'a pas été ma surprise de trouver sur le CD-Rom qui l'accompagne un fichier RPM pour installer le pilote sous Linux.

Je l'ai donc installé et cela fonctionne en réseau (Après avoir trouvé sur quel port imprimer)

Merci Mr DELL !!!

kyp
03/10/2008, 14h24
Oui, petit a petit les pilotes Linux pour imprimantes se font standard. C'est une bon signe d'un changement d'optique des industriels fasse au "probleme" du Libre. Ils preferent finalement creer leur propre pilotes (libre ou non) plutot que de laisser des inconnus faire des pilotes amateurs parfois meilleurs que les officiels (je l'ai vu avec une vieille jet d'encre HP dont l'utilisation via Cups avec un pilote non officiel etait bien plus souple que l'affreux ensemble pour Win XP).

En fait avec ce sujmet je me suis rendu compte que Brother n'est plus un acteur specifique au niveau des pilotes Linux. Maintenant onpeux dire qu'en plus ils sont sous licence GPL :D

alkiros
03/10/2008, 19h19
Salux,

csh fait référence au C Shell - enfin, je ne vois que ça - regarde dans YaST -> Ajouter et supprimer des logiciels pour installer csh ;)

Normalement, comme il s'agit d'un shell, il devrait être sur le DVD ou dans les dépôts :)


Il s'agit du package tcsh qui est dispo sur le dépôt officiel d'openSUSE :)

[/b]

Merci, je viens de regarder, il est déjà installé, je ne comprend pas pourquoi apparemment je suis le seul à rencontrer ce pb.
Je ne vais tout de même pas devoir renoncer à cette distribution à cause d'un pb.d'imprimante!

Nuke-Refugee
03/10/2008, 19h40
Salut,

Tu peux définir une source locale dans YaST, en le pointant vers le dossier où tu as mis tes RPM.
Ensuite tu pourras les installer directement depuis YaST... Et du coup s'il y a des dépendances il va les résoudre tout seul, comme d'hab.

Seb.

PS: J'ai installé en ligne de commande les pilotes de ma DCP-135C et c'est passé tout seul.

alkiros
04/10/2008, 09h06
Salut,

Tu peux définir une source locale dans YaST, en le pointant vers le dossier où tu as mis tes RPM.
Ensuite tu pourras les installer directement depuis YaST... Et du coup s'il y a des dépendances il va les résoudre tout seul, comme d'hab.

Seb.

PS: J'ai installé en ligne de commande les pilotes de ma DCP-135C et c'est passé tout seul.[/b]

Bonjour,
Je viens de faire ta manip, même chose, il me demande tj.csh alors que celui-ci est bien présent, j'ai même vérifié le répertoire /bin là où il le cherche.
Pourrais-tu me donner la procédure pour l'install en ligne de commande, ça marchera peut-être?
merci
Al

Nuke-Refugee
04/10/2008, 10h46
Tu as un problème de dépendance currieux...
Vérifie les versions - nécessaire et installée - de csh. Ce ne sont peut-être pas les mêmes. Pour le paquet déjà installé tu as un onglet "version" dans YaST, et lorsque tu tentes d'installer les pilotes Brother je pense qu'il doit te dire quelle version de csh il réclame. Ton problème est sans doute là.

Autre possibilité: si tu utilises une architecture 64 bits tu as certainement besoin d'une librairie de compatibilité 32 bits pour csh... Tu devrais la repérer facilement elle doit s'appeler csh-quelquechose-32. Mais ce n'est valable que si tu as un système 64 bits.

Seb.

alkiros
05/10/2008, 08h09
Tu as un problème de dépendance currieux...
Vérifie les versions - nécessaire et installée - de csh. Ce ne sont peut-être pas les mêmes. Pour le paquet déjà installé tu as un onglet "version" dans YaST, et lorsque tu tentes d'installer les pilotes Brother je pense qu'il doit te dire quelle version de csh il réclame. Ton problème est sans doute là.

Autre possibilité: si tu utilises une architecture 64 bits tu as certainement besoin d'une librairie de compatibilité 32 bits pour csh... Tu devrais la repérer facilement elle doit s'appeler csh-quelquechose-32. Mais ce n'est valable que si tu as un système 64 bits.

Seb.[/b]

Salut Seb,
Je ne connais pas la version réclamée, regarde mon premier post, la capture d'écran, on y voit aucune indication à ce sujet.
J'ai vérifié, je suis bien en 32 bits.
Est-que toi, ou qq1 d'autre qui possède une imprimante Brother, pourrait me décrire avec précision la procédure qu'il a employé pour l'installer ?
Il faut absolument que je trouve une solution, car sans imprimante, je ne peux travailler!
Merci
Al

Nuke-Refugee
05/10/2008, 13h34
Sur le site de Brother ils disent de forcer l'installation en ignorant les dépendances... Alors essaie. Dans YaST tu dois pouvoir lui dire d'ignorer les dépendances. Après ça marche ou ça ne marche pas, mais ça vaut le coup de tenter.

Seb.

alkiros
05/10/2008, 13h50
Sur le site de Brother ils disent de forcer l'installation en ignorant les dépendances... Alors essaie. Dans YaST tu dois pouvoir lui dire d'ignorer les dépendances. Après ça marche ou ça ne marche pas, mais ça vaut le coup de tenter.

Seb.[/b]

Je viens d'essayer, mais impossible de forcer sans les dépendances, ou alors j'ai pas trouvé!
Ce qui est bisarre, c'est que quand je regarde là où est installé csh (/bin/csh), c'est bien le bon chemin, alors sans doute comme tu le soupçonnais plus haut, un conflit de version, mais là encore on a aucune info! :(

Nuke-Refugee
05/10/2008, 14h38
Bon... Alors installe les à la main depuis une console. Ce sera le plus rapide. L'option permettant d'ignorer les dépendances a disparu de YaST? Je n'y avais pas fait attention...
rpm -ivh --nodeps nom_du_rpm1.rpm nom_du_rpm2.rpm

alkiros
05/10/2008, 17h05
Bon... Alors installe les à la main depuis une console. Ce sera le plus rapide. L'option permettant d'ignorer les dépendances a disparu de YaST? Je n'y avais pas fait attention...
rpm -ivh --nodeps nom_du_rpm1.rpm nom_du_rpm2.rpm[/b]

Super, ça fonctionne enfin!
Merci pour le tuyau!

Nuke-Refugee
05/10/2008, 19h30
De rien.